curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/goals \
--header 'Accept: <accept>' \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/goals"
headers = {
"Accept-Version": "<accept-version>",
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Accept-Version': '<accept-version>',
Accept: '<accept>',
Authorization: 'Basic <encoded-value>'
}
};
fetch('https://int-api.mx.com/users/{user_guid}/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goals": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"amount": 4500,
"current_amount": 1500,
"guid": "GOL-524ca5db-a2d5-44f3-b048-16de16059024",
"goal_type_name": "SAVE_AMOUNT",
"meta_type_name": "VACATION",
"name": "Save for Europe",
"completed_at": "2025-08-15T10:30:00+00:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53-00:00",
"targeted_to_complete_at": "2026-12-08 00:00:00.000000",
"track_type_name": "SAVINGS_TRACK",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List goals
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Specifies the media type expected in the response.
"application/json"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The amount of the goal.
4500
The current amount of the goal.
1500
The unique identifier for the goal. Defined by MX.
"GOL-524ca5db-a2d5-44f3-b048-16de16059024"
The type of goal.
SAVE_AMOUNT, PAYOFF "SAVE_AMOUNT"
The category of the goal.
"VACATION"
The name of the goal.
"Save for Europe"
Date and time the goal was completed, represented in ISO 8601 format with a timestamp.
"2025-08-15T10:30:00+00:00"
Determines if the goal has been spent.
false
Determines if the goal is complete.
false
Additional information you stored about the goal.
"Additional information"
The priority of the goal in relation to multiple goals.
3
The date on which the project was completed.
"2022-06-14T16:03:53-00:00"
Date and time the goal is to complete, represented in ISO 8601 format with timestamp. Intended for users to set their own goal completion dates.
"2026-12-08 00:00:00.000000"
The track of the goal.
DEBT_TRACK, SAVINGS_TRACK, RETIREMENT_TRACK, EMERGENCY_FUND_TRACK "SAVINGS_TRACK"
The unique identifier for the the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

